OpenTTD Source: RectPadding Struct Reference

OpenTTD Source 13.1

Public Member Functions | Data Fields | Static Public Attributes
RectPadding Struct Reference

Padding dimensions to apply to each side of a Rect. More...

`#include <geometry_type.hpp>`

Inheritance diagram for RectPadding:

## Public Member Functions
uint | Horizontal () const
| Get total horizontal padding of RectPadding. More...
uint | Vertical () const
| Get total vertical padding of RectPadding. More...

## Data Fields
uint8 | left
uint8 | top
uint8 | right
uint8 | bottom

## Static Public Attributes
static const RectPadding | zero = {0, 0, 0, 0}

## Detailed Description

Padding dimensions to apply to each side of a Rect.

Definition at line 47 of file geometry_type.hpp.

## Member Function Documentation

## ◆ Horizontal()

uint RectPadding::Horizontal | ( |  | ) | const
| inline

Get total horizontal padding of RectPadding.

Returns
  total horizontal padding.

Definition at line 59 of file geometry_type.hpp.

Referenced by GoalListWindow::DrawListColumn(), StoryBookWindow::GetAvailablePageContentWidth(), SelectCompanyManagerFaceWindow::OnInit(), IndustryCargoesWindow::OnInit(), TextfileWindow::ReflowContent(), NWidgetBackground::SetupSmallestSize(), NWidgetLeaf::SetupSmallestSize(), NWidgetNewGRFDisplay::SetupSmallestSize(), ShowDropDownListAt(), BaseNetworkContentDownloadStatusWindow::UpdateWidgetSize(), LandInfoWindow::UpdateWidgetSize(), BootstrapErrorWindow::UpdateWidgetSize(), SubsidyListWindow::UpdateWidgetSize(), GoalListWindow::UpdateWidgetSize(), NewGRFParametersWindow::UpdateWidgetSize(), BootstrapAskForDownloadWindow::UpdateWidgetSize(), BuildObjectWindow::UpdateWidgetSize(), BuildDocksDepotWindow::UpdateWidgetSize(), TooltipsWindow::UpdateWidgetSize(), PaymentRatesGraphWindow::UpdateWidgetSize(), BuildRoadDepotWindow::UpdateWidgetSize(), BuildRoadStationWindow::UpdateWidgetSize(), QueryWindow::UpdateWidgetSize(), BuildRailStationWindow::UpdateWidgetSize(), GenerateProgressWindow::UpdateWidgetSize(), BuildSignalWindow::UpdateWidgetSize(), BuildRailDepotWindow::UpdateWidgetSize(), BuildRailWaypointWindow::UpdateWidgetSize(), ScanProgressWindow::UpdateWidgetSize(), NetworkAskRelayWindow::UpdateWidgetSize(), and IndustryCargoesWindow::UpdateWidgetSize().

## ◆ Vertical()

uint RectPadding::Vertical | ( |  | ) | const
| inline

Get total vertical padding of RectPadding.

Returns
  total vertical padding.

Definition at line 65 of file geometry_type.hpp.

Referenced by NetworkContentListWindow::DrawDetails(), SmallMapWindow::GetLegendHeight(), StoryBookWindow::GetPageElementFloatWidth(), StoryBookWindow::GetPageElementHeight(), GetVehicleListHeight(), SelectCompanyManagerFaceWindow::OnInit(), IndustryCargoesWindow::OnInit(), NWidgetBackground::SetupSmallestSize(), NWidgetLeaf::SetupSmallestSize(), NWidgetNewGRFDisplay::SetupSmallestSize(), BaseNetworkContentDownloadStatusWindow::UpdateWidgetSize(), TextfileWindow::UpdateWidgetSize(), LandInfoWindow::UpdateWidgetSize(), BootstrapErrorWindow::UpdateWidgetSize(), SubsidyListWindow::UpdateWidgetSize(), GoalListWindow::UpdateWidgetSize(), BootstrapAskForDownloadWindow::UpdateWidgetSize(), BuildObjectWindow::UpdateWidgetSize(), NewsWindow::UpdateWidgetSize(), BuildDocksDepotWindow::UpdateWidgetSize(), TooltipsWindow::UpdateWidgetSize(), StoryBookWindow::UpdateWidgetSize(), PaymentRatesGraphWindow::UpdateWidgetSize(), BuildRoadDepotWindow::UpdateWidgetSize(), AIDebugWindow::UpdateWidgetSize(), BuildRoadStationWindow::UpdateWidgetSize(), PerformanceRatingDetailWindow::UpdateWidgetSize(), MessageHistoryWindow::UpdateWidgetSize(), QueryWindow::UpdateWidgetSize(), BuildRailStationWindow::UpdateWidgetSize(), GenerateProgressWindow::UpdateWidgetSize(), BuildRailDepotWindow::UpdateWidgetSize(), GameSettingsWindow::UpdateWidgetSize(), BuildRailWaypointWindow::UpdateWidgetSize(), ScanProgressWindow::UpdateWidgetSize(), NetworkAskRelayWindow::UpdateWidgetSize(), and IndustryCargoesWindow::UpdateWidgetSize().

The documentation for this struct was generated from the following files:

- src/core/geometry_type.hpp
- src/core/geometry_func.cpp